> For the complete documentation index, see [llms.txt](https://docs.matrixian.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.matrixian.com/readme/api-authenticatie.md).

# API Authenticatie

## API Authenticatie

Om gebruik te maken van de Matrixian API’s heeft u een **abonnement** nodig op de specifieke API die u wilt gebruiken.

👉 Abonnementen en API-sleutels zijn beschikbaar via de [Matrixian Portal](https://portal.matrixian.com).

De **base URL** voor alle endpoints is:

```
https://api.matrixian.com/v1/
```

### API-sleutel aanvragen

1. Log in op het [Matrixian Portal](https://portal.matrixian.com).
2. Sluit een abonnement af op de gewenste API.
3. Haal de persoonlijke **API key** op vanuit de portal.

### Authenticatie

Alle requests moeten geauthenticeerd worden met een `Authorization` header.\
Gebruik hiervoor het volgende formaat:

```
Authorization: Bearer <api-key>
```

Vervang `<api-key>` met uw persoonlijke sleutel.

Voorbeeld van de header:

```http
Authorization: Bearer abcd1234efgh5678ijkl
```

### Voorbeeld request

Hieronder ziet u een voorbeeldrequest naar de **mx-house-details** API.

```bash
curl --location 'https://api.matrixian.com/v1/mx-house-details?postalCode=1251LB&houseNumber=42&houseLetter=b' \
--header 'Authorization: Bearer <api-key>'
```

### Response

Bij een succesvolle call ontvangt u een JSON-response met de gevraagde data.\
Bijvoorbeeld:

```json
{
    "id": "3066da09-6bcb-48e3-a4f8-84dda89585fb",
    "params": {
        "houseLetter": "b",
        "houseNumber": "42",
        "postalCode": "1251LB"
    },
    "data": {
        "objectType": "2-onder-1-kapwoning",
        "buildYear": 1955,
        "livingSurface": 100,
        "otherIndoorSpace": 8,
        "useSurface": 108,
        "parcelSurface": 293,
        "energyLabel": "D",
        "numberOfRooms": 4,
        "numberOfBedrooms": 3,
        "numberOfBathrooms": 1,
        "numberOfToilets": 1,
        "attachedOutdoorSpace": null,
        "externalStorageSpace": 19,
        "volume": 379,
        "postalCode": "1251LB",
        "houseNumber": 42,
        "houseLetter": "b",
        "houseNumberExt": null
    },
    "error": {},
    "meta": {},
    "status": "success"
}
```

***

👉 Tip: Er is altijd een actief abonnement nodig op de betreffende API én een geldige API key uit de [Matrixian Portal](https://portal.matrixian.com).

***

### API-sleutel rotatie

Om je API-sleutel te roteren, navigeer je naar de API keys pagina in het portal, en klik je op de knop `Rotate My API Key`. **Let op:** De oude sleutel wordt onmiddellijk gedeactiveerd.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.matrixian.com/readme/api-authenticatie.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
